<form>
    <p ng-if="$ctrl.mode === 'select' || $ctrl.mode === ''">
        Choisissez un outil de dessin pour paramétrer le style, la couleur, ...
    </p>

    <div
        class="form-group"
        ng-if="$ctrl.mode !== 'select' && $ctrl.mode !== '' && $ctrl.mode !== 'addtext' && $ctrl.mode !== 'image'">
        <label>Style</label>
        <ui-select
            ng-model="$ctrl.styleChosen"
            ng-change="$ctrl.updatePolygonStyle()"
            ng-disabled="disabled"
            theme="bootstrap"
            class="form-control style-selector">

            <ui-select-match placeholder="Sélectionnez un style">{{$select.selected.name}}</ui-select-match>
            <ui-select-choices repeat="item in $ctrl.styleChoices | filter: $select.search" style="max-height: 500px;">
              <div class="opt-style-container">
                <span style="display:inline-block;" ng-bind-html="item.name | highlight: $select.search"></span>
                <span  ng-class="{'opt-style-visu arrow-trick': item.id.indexOf('Arrow') > -1, 'opt-style-visu ': item.id.indexOf('Arrow') === -1}" style="max-height:30px;display:inline-block;" ng-bind-html="$ctrl.featureIcon(item, $ctrl.mode)"></span>
              </div>
            </ui-select-choices>

        </ui-select>

    </div>


    <div class="form-group" ng-if="$ctrl.mode === 'polygon' || $ctrl.mode === 'circle'" >
        <div class="toggle-group form-group">
            <label for="border" class="toggle-label">Contour de forme</label>
            <input class="tgl tgl-light" id="border" type="checkbox" ng-model="$ctrl.checkboxModel.contour"
                    ng-change="$ctrl.updatePolygonStyle()">
            <label class="tgl-btn" for="border"></label>
        </div>
    </div>

    <div
        class="form-group"
        ng-if="$ctrl.mode === 'polygon' || $ctrl.mode === 'circle' || $ctrl.mode === 'triangle' || $ctrl.mode === 'square'" >
        <label>Couleur de fond</label>
        <ui-select
            ng-model="$ctrl.colorChosen"
            ng-change="$ctrl.changeColor()"
            ng-disabled="disabled"
            theme="bootstrap"
            class="form-control style-selector">

            <ui-select-match placeholder="Couleur de fond">{{$select.selected.name}}</ui-select-match>
            <ui-select-choices
                repeat="item in $ctrl.colors | filter: $select.search"
                style="max-height: 500px;">
                <span
                    style="display:inline-block;"
                    ng-bind-html="item.name | highlight: $select.search"></span>
            </ui-select-choices>

        </ui-select>
    </div>

    <div
        class="form-group"
        ng-if="$ctrl.mode === 'addtext'" >
        <label>Police</label>
        <ui-select
            ng-model="$ctrl.fontChosen"
            ng-change="$ctrl.changeTextColor()"
            theme="bootstrap"
            class="form-control style-selector">

            <ui-select-match placeholder="Sélectionnez une police">{{$select.selected.name}}</ui-select-match>
            <ui-select-choices repeat="item in $ctrl.fonts | filter: $select.search">
                <div ng-bind-html="item.name | highlight: $select.search"></div>
            </ui-select-choices>

        </ui-select>
    </div>

    <div
        class="form-group"
        ng-if="$ctrl.mode === 'addtext'" >
        <label>Couleur</label>
        <ui-select
            ng-model="$ctrl.fontColorChosen"
            theme="bootstrap"
            class="form-control style-selector" >

            <ui-select-match placeholder="Sélectionnez une couleur">{{$select.selected.name}}</ui-select-match>
            <ui-select-choices repeat="item in $ctrl.fontColors[$ctrl.fontChosen.color] | filter: $select.search">
                <div ng-bind-html="item.name | highlight: $select.search"></div>
            </ui-select-choices>

        </ui-select>
    </div>

    <div
        class="form-group"
        ng-if="$ctrl.mode === 'image'" >
        <label>Importer une image (SVG/JPG/PNG)</label>
        <!-- http://stackoverflow.com/questions/17922557/angularjs-how-to-check-for-changes-in-file-input-fields -->
        <input onchange="angular.element(this).scope().$ctrl.importImage(this)"
            type="file"
            accept="image/svg+xml,image/png,image/jpeg" />
    </div>

</form>
